For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve PostgresVersion

Returns the PostgresVersion by ID.

get
/versions/{versionId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
versionIdstring · uuidRequired

The ID (UUID) of the PostgresVersion.

Example: 2edb9507-fb0e-5f58-a65b-952b43ff3549
Responses
200

Getting PostgresVersion was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the PostgresVersion.

Example: 2edb9507-fb0e-5f58-a65b-952b43ff3549
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the PostgresVersion.

Example: /versions/2edb9507-fb0e-5f58-a65b-952b43ff3549
metadataobject · NoMetadataRead-onlyRequired
get/versions/{versionId}
GET /v2/versions/{versionId} HTTP/1.1
Host: postgresql.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "2edb9507-fb0e-5f58-a65b-952b43ff3549",
  "type": "postgresversion",
  "href": "/versions/2edb9507-fb0e-5f58-a65b-952b43ff3549",
  "metadata": {},
  "properties": {
    "version": "16",
    "status": "SUPPORTED",
    "comment": "text",
    "canUpgradeTo": [
      "17",
      "18"
    ]
  }
}

Last updated

Was this helpful?